/*
        Disclaimer: The code is provided as it is, with no warranties.
        Mag Hoehme <java@mhoehme.de>, 2014

*/
package de.mhoehme.android.partyfinder;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;


/**
 * Simple activity providing buttons to select other activities
 */
public class MainActivity extends Activity {

    /**
     * Called when the activity is first created.
     */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main_layout);
    }


    /**
     * Action handler for click events (defined in main_layout.xml).
     */
    public void onClick(View view) {
        Class clazz;
        switch (view.getId()) {
            case R.id.button_location            : clazz = LocationActivity.class;      break;
            case R.id.button_simple_map          : clazz = SimpleMapActivity.class;     break;
            case R.id.button_simple_overlay      : clazz = SimpleOverlayActivity.class; break;
            case R.id.button_my_location_overlay : clazz = MyLocationMapActivity.class; break;
            case R.id.button_party               : clazz = PartyMapActivity.class;      break;
            case R.id.button_party_alarm         : clazz = PartyAlarmActivity.class;    break;
            case R.id.button_custom_map          : clazz = CustomMapActivity.class;     break;

            default : throw new Error ("Unknown view: "+view);
        }
        startActivity(new Intent(this, clazz));
    }
}
