/*
        Disclaimer: The code is provided as it is, with no warranties.
        Mag Hoehme <java@mhoehme.de>, 2014

*/
package de.mhoehme.android.partyfinder;

import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import org.osmdroid.tileprovider.tilesource.TileSourceFactory;
import org.osmdroid.util.GeoPoint;
import org.osmdroid.views.MapView;

/**
 * Simple Activity that shows an OSM MapView and centers it to the FrOSCon location.
 */
public class SimpleMapActivity extends Activity {


    private static final String TAG = SimpleMapActivity.class.getName();



    /**
     * Called when the activity is first created.
     */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.simple_map_layout);


        final MapView mapView = (MapView)findViewById(R.id.openmapview);
        mapView.getController().setZoom(14);


        // delay calculations for centering...
        //    When doing synchronously the map dimensions are 0 -> centering etc. is not possible
        //
        //    You should use Handler.post() whenever you want to do operations in the UI thread.
        new Handler().postDelayed(new Runnable() {
            @Override
            public void run() {

                mapView.getController().setCenter(new GeoPoint(50.780155, 7.182144));

            }
        }, 1000); // 200
    }
}
