/*
        Disclaimer: The code is provided as it is, with no warranties.
        Mag Hoehme <java@mhoehme.de>, 2014

*/
package de.mhoehme.android.partyfinder;

import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import org.osmdroid.tileprovider.tilesource.TileSourceFactory;
import org.osmdroid.util.GeoPoint;
import org.osmdroid.views.MapView;
import org.osmdroid.views.overlay.MinimapOverlay;
import org.osmdroid.views.overlay.ScaleBarOverlay;

/**
 * The same activity as {@link de.mhoehme.android.partyfinder.SimpleMapActivity},
 * but with some overlays.
 */
public class SimpleOverlayActivity extends Activity {

    private static final int ZOOM = 14;

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.map_layout);


        final MapView mapView = (MapView) findViewById(R.id.openmapview);
        mapView.setClickable(true);
        mapView.setBuiltInZoomControls(true);
        mapView.setTileSource(TileSourceFactory.MAPNIK);

        mapView.getController().setZoom(ZOOM);


        // -- ScaleBarOverlay -----------------------------------------

        // (1) create overlay
        ScaleBarOverlay myScaleBarOverlay = new ScaleBarOverlay(this);

        // (2) add Overlay to the map
        mapView.getOverlays().add(myScaleBarOverlay);


        // -- MinimapOverlay  -----------------------------------------

        // (1) Create and initialize overlay
        MinimapOverlay miniMapOverlay = new MinimapOverlay(this, mapView.getTileRequestCompleteHandler());
        miniMapOverlay.setZoomDifference(4);
        miniMapOverlay.setHeight(100);
        miniMapOverlay.setWidth(100);

        // (2) add overlay
        mapView.getOverlays().add(miniMapOverlay);



        // delay calculations for centering...
        new Handler().postDelayed(new Runnable() {
            @Override
            public void run() {

                mapView.getController().setCenter(new GeoPoint(50.780155, 7.182144));

            }
        }, 1000); // 200
    }
}
