/*
        Disclaimer: The code is provided as it is, with no warranties.
        Mag Hoehme <java@mhoehme.de>, 2014

*/
package de.mhoehme.android.partyfinder.model;


import android.os.Parcel;
import android.os.Parcelable;

/**
 * Model/Data
 */
public class Place implements Parcelable {

    private String title;
    private String info;
    private double latitude;
    private double longitude;


    /**
     * @param title     title of the party
     * @param info      short info line
     */
    public Place(String title, String info, double latitude, double longitude) {
        this.title     = title;
        this.info      = info;
        this.latitude  = latitude;
        this.longitude = longitude;
    }

    public String getTitle() {
        return title;
    }

    public String getInfo() {
        return info;
    }

    public double getLatitude() {
        return latitude;
    }

    public double getLongitude() {
        return longitude;
    }

    @Override
    public String toString() {
        return super.toString()+" ["+title+": "+info+" ("+latitude+"/"+longitude+")]";
    }



    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(title);
        dest.writeString(info);
        dest.writeDouble(latitude);
        dest.writeDouble(longitude);
    }
}
