/*
        Disclaimer: The code is provided as it is, with no warranties.
        Mag Hoehme <java@mhoehme.de>, 2014

*/
package de.mhoehme.android.partyfinder.overlays;

import android.content.Context;
import android.location.Location;
import android.location.LocationListener;
import org.osmdroid.views.MapView;
import org.osmdroid.views.overlay.mylocation.MyLocationNewOverlay;

import java.util.ArrayList;
import java.util.List;

/**
 * Extends {@link MyLocationNewOverlay} and adds {@link LocationListener}s.
 *
 * See http://code.google.com/p/osmdroid/issues/detail?id=375
 */
public class MyLocationOverlay extends MyLocationNewOverlay {


    private final List<LocationListener> listeners = new ArrayList<>();

    public MyLocationOverlay(Context context, MapView mapView) {
        super(context, mapView);
    }



    public void addListener(LocationListener listener) {
        synchronized (listeners) {
            listeners.add(listener);
        }
    }

    public boolean remove (LocationListener listener) {
        synchronized (listeners) {
            return listeners.remove(listener);
        }
    }


    @Override
    public void setLocation(Location location) {
        super.setLocation(location);

        for (LocationListener listener : listeners) {
            listener.onLocationChanged(location);
        }
    }
}
